=== debian/control ===
Source: npd6
Section: net
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://github.com/npd6/npd6
Vcs-Browser: https://salsa.debian.org/alteholz/npd6
Vcs-Git: https://salsa.debian.org/alteholz/npd6.git

Package: npd6
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>=3.0-6)
Description: IPv6 neighbor proxy daemon
 npd6 is a daemon which listens on nominated interfaces for IPv6 Neighbor
 Solicitations which match defined prefixes. It will answer them with an
 appropriate Neighbor Advertisement.
