=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v


export DEB_BUILD_MAINT_OPTIONS = hardening=+all


override_dh_usrlocal:

%:
	dh $@
